oracle.pg.nosql

## Class ConcatenateTableIterator

- java.lang.Object
- - oracle.pg.nosql.ConcatenateTableIterator

- All Implemented Interfaces:
    Iterator, oracle.kv.ParallelScanIterator, oracle.kv.table.TableIterator

      public class ConcatenateTableIterator
      extends Object
      implements oracle.kv.table.TableIterator

  This class implements the Iterator interface for edges. Specifically, this iterator concatenates two iterators. All rows from the first iterator will be pumped out as is. Rows from the second iterator will be pumped out only if the row's SVID and DVID are different (i.e., not a cycle)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConcatenateTableIterator(oracle.kv.table.TableIterator<oracle.kv.table.Row> ti1, oracle.kv.table.TableIterator<oracle.kv.table.Row> ti2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `List<oracle.kv.stats.DetailedMetrics>` | `getPartitionMetrics()`
    `List<oracle.kv.stats.DetailedMetrics>` | `getShardMetrics()`
    `boolean` | `hasNext()`
    `oracle.kv.table.Row` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConcatenateTableIterator

          public ConcatenateTableIterator(oracle.kv.table.TableIterator<oracle.kv.table.Row> ti1,
                                  oracle.kv.table.TableIterator<oracle.kv.table.Row> ti2)

  - ### Method Detail

    - #### close

          public void close()

      Specified by:
        `close` in interface `oracle.kv.ParallelScanIterator`

    - #### getPartitionMetrics

          public List<oracle.kv.stats.DetailedMetrics> getPartitionMetrics()

      Specified by:
        `getPartitionMetrics` in interface `oracle.kv.ParallelScanIterator`

    - #### getShardMetrics

          public List<oracle.kv.stats.DetailedMetrics> getShardMetrics()

      Specified by:
        `getShardMetrics` in interface `oracle.kv.ParallelScanIterator`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator`

    - #### next

          public oracle.kv.table.Row next()

      Specified by:
        `next` in interface `Iterator`
      Specified by:
        `next` in interface `oracle.kv.ParallelScanIterator`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator`

Copyright © 2015 Oracle and/or its afflilates. All Rights Reserved.